gnutls_priority_get_cipher_suite_index(3)

NAME
gnutls_priority_get_cipher_suite_index - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_priority_get_cipher_suite_index(gnutls_priority_t pcache, unsigned int idx, unsigned int * sidx);

ARGUMENTS

gnutls_priority_t pcache
    is a gnutls_prioritity_t structure.

unsigned int idx
    is an index number.

unsigned int * sidx
    internal index of cipher suite to get information about.

DESCRIPTION
Provides the internal ciphersuite index to be used with gnutls_cipher_suite_info(). The index idx provided is an index kept at the priorities structure. It might be that a valid priorities index does not correspond to a ciphersuite and in that case GNUTLS_E_UNKNOWN_CIPHER_SUITE will be returned. Once the last available index is crossed then GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

RETURNS
On success it returns GNUTLS_E_SUCCESS (0), or a negative error value otherwise.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/